package message

// 消息类型常量定义
const (
	TypeText     = "text"     // 纯文本
	TypeFace     = "face"     // QQ表情
	TypeImage    = "image"    // 图片
	TypeRecord   = "record"   // 语音
	TypeVideo    = "video"    // 视频
	TypeAt       = "at"       // @某人
	TypeRps      = "rps"      // 猜拳魔法表情
	TypeDice     = "dice"     // 骰子
	TypeShake    = "shake"    // 窗口抖动
	TypePoke     = "poke"     // 戳一戳
	TypeShare    = "share"    // 链接分享
	TypeContact  = "contact"  // 推荐好友/群
	TypeLocation = "location" // 位置
	TypeMusic    = "music"    // 音乐分享
	TypeReply    = "reply"    // 回复
	TypeForward  = "forward"  // 转发
	TypeNode     = "node"     // 转发消息节点
	TypeJson     = "json"     // JSON消息
	TypeMface    = "mface"    // QQ表情包
	TypeFile     = "file"     // 文件
	TypeMarkdown = "markdown" // Markdown
	TypeLightapp = "lightapp" // 小程序卡片
)
